Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## cascading.stats
Enum CascadingStats.Status

    java.lang.Object
      java.lang.Enum<CascadingStats.Status>
          cascading.stats.CascadingStats.Status

All Implemented Interfaces:
  Serializable, Comparable<CascadingStats.Status>

Enclosing class:
  CascadingStats

    public static enum CascadingStats.Status

extends Enum<CascadingStats.Status>

Enum Constant Summary
`FAILED`
`PENDING`
`RUNNING`
`SKIPPED`
`STARTED`
`STOPPED`
`SUBMITTED`
`SUCCESSFUL`

Method Summary
`static CascadingStats.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CascadingStats.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PENDING

    public static final CascadingStats.Status PENDING

### SKIPPED

    public static final CascadingStats.Status SKIPPED

### STARTED

    public static final CascadingStats.Status STARTED

### SUBMITTED

    public static final CascadingStats.Status SUBMITTED

### RUNNING

    public static final CascadingStats.Status RUNNING

### SUCCESSFUL

    public static final CascadingStats.Status SUCCESSFUL

### STOPPED

    public static final CascadingStats.Status STOPPED

### FAILED

    public static final CascadingStats.Status FAILED

Method Detail

### values

    public static CascadingStats.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CascadingStats.Status c : CascadingStats.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CascadingStats.Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.